Skip to main content
GET
/
v1
/
prediction_markets
/
markets
/
{id}
Get prediction market market
curl --request GET \
  --url http://127.0.0.1:3003/v1/prediction_markets/markets/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "category": "<string>",
    "event": {
      "category": "<string>",
      "id": "<string>",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "title": "<string>"
    },
    "eventId": "<string>",
    "id": "<string>",
    "outcomes": [
      {
        "id": "<string>",
        "label": "<string>",
        "probability": 0.5
      }
    ],
    "resolutionAt": "2023-11-07T05:31:56Z",
    "resolutionSource": "<string>",
    "resolvedAt": "2023-11-07T05:31:56Z",
    "resolvedOutcomeId": "<string>",
    "title": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.monetary.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Fetch one prediction market market by internal id.
curl -sS "$MONETARY_API_BASE_URL/v1/prediction_markets/markets/mkt_example" \
  -H "Authorization: Bearer $MONETARY_API_TOKEN" \
  -H "Accept: application/json"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Internal market id (mkt_...).

Query Parameters

provider
enum<string>

Optional provider filter.

Available options:
kalshi,
polymarket
status
enum<string>

Optional status filter.

Available options:
open,
closed

Response

Market details

data
object
required